FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Payee

Get payee information from the Fiskil API.

AI Actions

The Payee endpoint provides information about saved payees on an end user's accounts.

Endpoints

MethodEndpointDescription
GET/v1/payeesGet payees for an end user

The Payee Model

AttributeTypeDescription
idstringUnique identifier for the payee
nicknamestringNickname or description for the payee
typestringType of payee (DOMESTIC, BILLER, INTERNATIONAL)
account_numberstringPayee's account number (may be masked)
bsbstringPayee's BSB (for domestic payees)
biller_codestringBiller code (for BPAY payees)
created_datestringWhen the payee was created

Example Response

{
  "id": "payee_123",
  "nickname": "Rent - ABC Property",
  "type": "DOMESTIC",
  "account_number": "****5678",
  "bsb": "123-456",
  "biller_code": null,
  "created_date": "2022-06-15"
}

Get Payees

Retrieve payee information for an end user.

GET https://api.fiskil.com/v1/payees

Query Parameters

ParameterTypeRequiredDescription
end_user_idstringYesThe ID of the end user
typestringNoFilter by payee type (DOMESTIC, BILLER, INTERNATIONAL)

Example Request

curl --request GET \
  --url 'https://api.fiskil.com/v1/payees?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5' \
  --header 'Authorization: Bearer {access_token}' \
  --header 'accept: application/json; charset=UTF-8'
const response = await fetch(
  'https://api.fiskil.com/v1/payees?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer {access_token}',
      'accept': 'application/json; charset=UTF-8'
    }
  }
);

const payees = await response.json();
import requests

response = requests.get(
    'https://api.fiskil.com/v1/payees',
    params={'end_user_id': '482c0e2b-5866-46b1-b795-220b7bba45b5'},
    headers={
        'Authorization': 'Bearer {access_token}',
        'accept': 'application/json; charset=UTF-8'
    }
)

payees = response.json()

Example Response

{
  "data": [
    {
      "id": "payee_123",
      "nickname": "Rent - ABC Property",
      "type": "DOMESTIC",
      "account_number": "****5678",
      "bsb": "123-456",
      "biller_code": null,
      "created_date": "2022-06-15"
    },
    {
      "id": "payee_456",
      "nickname": "Electricity",
      "type": "BILLER",
      "account_number": null,
      "bsb": null,
      "biller_code": "12345",
      "created_date": "2022-08-20"
    }
  ]
}

Payee Types

TypeDescription
DOMESTICAustralian bank account payee
BILLERBPAY biller
INTERNATIONALInternational transfer payee

Related Endpoints

  • Accounts - Get account details
  • Scheduled Payments - Get scheduled payments

Was this page helpful?

PaginationPayment Schedule

On this page

EndpointsThe Payee ModelExample ResponseGet PayeesQuery ParametersExample RequestExample ResponsePayee TypesRelated Endpoints